Subject: Re: RS 2m HT

From: [email-masked] (Gary Coffman)
Date: Sat, 18 Sep 1993 12:53:44 GMT

In article <[email-masked]> [email-masked] (Bill Bischoff) writes:
>I just bought a 2m HT from RS - hard to beat that price!  I'm pretty
>sure, based on earlier postings on this group, that I can use one or
>more Icom battery packs with this set.  Could someone please let me
>know which Icom models I can switch out the batteries on.  Thanks in
>advance.

Batteries for the IC2, IC4, IC02, IC04, and the G series will all work
on the RS HT. Icom headsets and speaker mikes will work.

Gary

-- 
Gary Coffman KE4ZV          |"If 10% is good enough | gatech!wa4mei!ke4zv!gary
Destructive Testing Systems | for Jesus, it's good  | uunet!rsiatl!ke4zv!gary
534 Shannon Way             | enough for Uncle Sam."| emory!kd4nc!ke4zv!gary 
Lawrenceville, GA 30244     | -Ray Stevens          |